// cEnergeticObject.cpp: implementation of the cEnergeticObject class.
//
//////////////////////////////////////////////////////////////////////

#include "cEnergeticObject.h"
#include "cVector3D.cpp"

cEnergy cEnergeticObject::GravityAcceleration;

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

cEnergeticObject::cEnergeticObject(){

}

cEnergeticObject::~cEnergeticObject(){

}

void cEnergeticObject::SetGravityAcceleration(cEnergy Accel){
	GravityAcceleration = Accel;
}

cEnergy cEnergeticObject::GetGravityAcceleration(){
	return GravityAcceleration;

}

int cEnergeticObject::Act(){
	// 관성 에너지와 중력 가속도를 더한다.
	*this += Energy;
	*this += GravityAcceleration;
	return 0;
}


